summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-12-20 02:19:04 +0200
committerMart Raudsepp <leio@gentoo.org>2018-12-20 02:19:17 +0200
commit37b06a5b505734e70ea4802eb1a686dcdb3dcc03 (patch)
tree2c06fa5b438f6d099f823b5fbe4f417f3a0b6d21 /app-i18n
parentpackage.mask: extend mask to dev-libs/libressl-2.9* (diff)
downloadgentoo-37b06a5b505734e70ea4802eb1a686dcdb3dcc03.tar.gz
gentoo-37b06a5b505734e70ea4802eb1a686dcdb3dcc03.tar.bz2
gentoo-37b06a5b505734e70ea4802eb1a686dcdb3dcc03.zip
app-i18n/poedit: bump to 2.2
Closes: https://bugs.gentoo.org/673396 Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.52, Repoman-2.3.11
Diffstat (limited to 'app-i18n')
-rw-r--r--app-i18n/poedit/Manifest1
-rw-r--r--app-i18n/poedit/poedit-2.2.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/app-i18n/poedit/Manifest b/app-i18n/poedit/Manifest
index 09ee6a357c4..b1027336f20 100644
--- a/app-i18n/poedit/Manifest
+++ b/app-i18n/poedit/Manifest
@@ -1,2 +1,3 @@
DIST poedit-2.0.9.tar.gz 2567156 BLAKE2B 29e616256a19430cb3efd3db5d6c2cc450155009e30ee056f6be712bac9e631e5aa20b0758262e9fbe00937eedf6ac777cd8e7407a3060f04503e3fa4d9cd6d0 SHA512 9981339ae0c3f11f972ed2f25e0c96e5c0cc0210771cc44d163e219c32eb951fa4180c8a03acdd7f0232a5e4b535f3202dda703b57ccfb02773eb24e6a1eb02d
DIST poedit-2.1.1.tar.gz 2722379 BLAKE2B 3e5102ab9b2b6b6701abd3f44dab846d6989e5abdbcadf924cf7032d725fa1b405425cefa37eb0230d3de68ea0c60ec05e7bfe84f906cdec0230d8c1284f5779 SHA512 0b5e13c3e59c9bde78b95b45aa8765c16c03d12ca9fbabe4448e409ff4cd627676d1b77c011c75a54dc0e10acda23ceb49ca063e76a29154344dc5fdb9e5f8a8
+DIST poedit-2.2.tar.gz 2746800 BLAKE2B b093e5c1cd66eada6238af3b731752cc8dbf9feb3238c9b53ca972b805033f9f00b3ec92cae2b87353100653e7d7bd60a68bd109f07e523d4875e0f8ca8114e5 SHA512 14a5cc997e6cdc0d1fc14b05ea293a010537d71f846537270296e2a14bdfd7a352b6d0a88a3d4f60193192a918b276509e31926715e69725e595423adfac5fbc
diff --git a/app-i18n/poedit/poedit-2.2.ebuild b/app-i18n/poedit/poedit-2.2.ebuild
new file mode 100644
index 00000000000..ad916d29df2
--- /dev/null
+++ b/app-i18n/poedit/poedit-2.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLOCALES="af an ar az be be@latin bg bs ca ckb co cs da de el en_GB es et eu fa fi fr ga gl he hr hu hy id is it ja ka kab kk ko lt lv ms nb nl oc pa pl pt_BR pt_PT ro ru sk sl sq sr sv tg th tr uk uz vi zh_CN zh_TW"
+WX_GTK_VER=3.0-gtk3
+
+inherit gnome2-utils l10n wxwidgets xdg
+
+DESCRIPTION="GUI gettext translations editor"
+HOMEPAGE="https://poedit.net"
+SRC_URI="https://github.com/vslavik/${PN}/releases/download/v${PV}-oss/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ app-text/gtkspell:3
+ x11-libs/gtk+:3
+ >=dev-cpp/lucene++-3.0.5
+ >=dev-libs/pugixml-1.9
+ dev-libs/boost:=[nls]
+ dev-libs/icu:=
+ >=x11-libs/wxGTK-3.0.3:${WX_GTK_VER}[X]
+"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ my_rm_loc() {
+ sed -i -e "/^POEDIT_LINGUAS = /s: ${1}::" locales/Makefile.in || die
+ rm "locales/${1}.mo" || die
+ }
+
+ l10n_find_plocales_changes 'locales' '' '.mo'
+ l10n_for_each_disabled_locale_do my_rm_loc
+
+ setup-wxwidgets
+ xdg_src_prepare
+}
+
+src_configure() {
+ # CLD2 and C++ Rest are not available in Gentoo
+ local myeconfargs=(
+ --without-cld2
+ --without-cpprest
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_icon_cache_update
+}